%global OKDVersion 4.13

Summary: Configs for OKD repositories provided by the CentOS Cloud SIG
Name: centos-release-okd-%{OKDVersion}
Version: 1
Release: 1%{?dist}
License: GPL
URL: http://wiki.centos.org/SpecialInterestGroup/Cloud
Source0: CentOS-OKD.repo

BuildArch: noarch
Requires: centos-release
Requires: centos-release-cloud-common

%description
%{summary}.

%prep

%install
install -D -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-OKD-%{OKDVersion}.repo
sed -i -e "s/OKD_VERSION/%{OKDVersion}/g" %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-OKD-%{OKDVersion}.repo

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/yum.repos.d/*

%changelog
* Thu May 25 2023 Christian Glombek <cglombek@redhat.com> - 4.13-1-1
- Initial Release
